Module: selenium-webdriver
View Source

# enum Key

Type`string`
Alias for `webdriver.Key`

Representations of pressable keys that aren't text. These are stored in the Unicode PUA (Private Use Area) code points, 0xE000-0xF8FF. Refer to http://www.google.com.au/search?&q=unicode+pua&btnG=Search

## Values and Descriptions

ADD

ALT

ARROW_DOWN

ARROW_LEFT

ARROW_RIGHT

ARROW_UP

BACK_SPACE

CANCEL

CLEAR

COMMAND

CONTROL

DECIMAL

DELETE

DIVIDE

DOWN

END

ENTER

EQUALS

ESCAPE

F1

F10

F11

F12

F2

F3

F4

F5

F6

F7

F8

F9

HELP

HOME

INSERT

LEFT

META

MULTIPLY

NULL

NUMPAD0

NUMPAD1

NUMPAD2

NUMPAD3

NUMPAD4

NUMPAD5

NUMPAD6

NUMPAD7

NUMPAD8

NUMPAD9

PAGE_DOWN

PAGE_UP

PAUSE

RETURN

RIGHT

SEMICOLON

SEPARATOR

SHIFT

SPACE

SUBTRACT

TAB

UP

## Functions

### Key.chord(var_args)code »

Simulate pressing many keys at once in a "chord". Takes a sequence of `webdriver.Key`s or strings, appends each of the values to a string, and adds the chord termination key (`webdriver.Key.NULL`) and returns the resultant string.

Note: when the low-level webdriver key handlers see Keys.NULL, active modifier keys (CTRL/ALT/SHIFT/etc) release via a keyup event.

Parameters

var_args`...string`

  The key sequence to concatenate.

Returns

`string`

  The null-terminated key sequence.